<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:str="http://exslt.org/strings"
	extension-element-prefixes="str"
>
<xsl:strip-space elements="*" />
<xsl:output encoding="utf-8" method="text" />

<!-- titles.xml -->
<xsl:template match="/titles">
	<xsl:for-each select="node">
		<xsl:text>./parse.sh cowiki.xml </xsl:text>
		<xsl:value-of select="@id"/>
		<xsl:text>&#10;</xsl:text>
	</xsl:for-each>
</xsl:template>

<!-- dirs.xml -->
<xsl:template match="/resultset/row">
	<xsl:text>./dirs.sh </xsl:text>
	<xsl:value-of select="field[@name='id']"/>
	<xsl:text>&#10;</xsl:text>
</xsl:template>

<!-- index.xml -->
<xsl:template match="/xml/node">
	<xsl:text>./index.sh </xsl:text>
	<xsl:value-of select="@id"/>
	<xsl:text>&#10;</xsl:text>
</xsl:template>

</xsl:stylesheet>
